## v0.2.1 / 2020-09-23

### 引入特性

* 自定义外观样式
* 内联 HTML 标签编辑渲染
* #标签# 语法支持

### 改进功能

* 关系图性能优化
* 内联 HTML `<br>` 不折叠渲染
* 嵌入块标识，不允许引用嵌入块
* 搜索和输入法兼容优化
* 引用代码块细节体验优化

### 文档相关

* 自定义外观文档

### 修复缺陷

* 列表内的公式块和列表文字之间空行问题
* 本地图片加载问题
* 强调、加粗和标记等软换行光标丢失问题
* 外观缓存问题
* `[[wikilink|text]]` 导入问题
* mermaid 问题修复

## v0.2.0 / 2020-09-21

### 引入特性

* 文档反向链接页签
* 联动文档关系图页签
* 联动大纲页签
* 联动反向链接页签
* 支持内容块嵌入语法 !((id "text")) 

### 改进功能

* MathJax 引擎 \boldsymbol{} 支持
* 代码块预览开关刷新编辑器
* 块嵌入渲染距离调整
* 搜索结果排序优化
* ==Mark== 必须使用两个等号
* 大纲隐藏 Markdown 标记符
* 新增一些快捷键

### 修复缺陷

* 书签自动收缩问题
* 用回退删除空行后面行被删除的问题
* 关系图节点闪烁
* 预览细节问题修复
* 紧凑列表变松散列表问题
* 关闭笔记本后关系图依然显示问题

## v0.1.9 / 2020-09-19

### 引入特性

* 添加代码块主题配置
* 添加代码块是否预览配置
* 搜索支持精确模式和中文分词

### 改进功能

* 按配置的导出选项进行预览
* 预览时显示内容块嵌入字数统计
* 打开笔记本后自动展开
* 优化导出选项，新增摘要 + 嵌入
* 调小编辑撤销可用时间间隔
* 创建文档/文件夹需要指定名称
* 搜索内容块结果按匹配长度升序
* 加载笔记本性能优化
* 新建文档改进

### 开发重构

* 外观组件化重构

### 修复缺陷

* 解决偶发的”列出笔记本 xxx 文件列表失败“问题
* 修复导出换行丢失问题
* 新建文档时文档块 ID 错误的问题
* 网络拉取图片渲染问题
* 引入 Block IAL 编辑器开发者工具报错
* HTML 块 ID 暴露问题
* 编辑块引用退格问题
* 公式块、代码块退格 ID 暴露
* 内联公式渲染撤销问题

## v0.1.8 / 2020-09-16

### 引入特性

* 页签拖拽插入分屏
* 迁移到 .md 格式

### 改进功能

* 粘贴图片默认放到文档同级 assets 文件夹下
* 编辑器内容最大宽度优化
* iframe 点击打开时使用默认浏览器
* 拖拽后编辑器窗口无法重置
* 拖拽线条进行高亮
* 优化大纲上存在块链时的显示

### 修复缺陷

* B 站视频嵌入代码问题
* 表格增减列、对齐快捷键问题
* 粘贴 `![foo](bar.png)` 图片时渲染问题

## v0.1.7 / 2020-09-11

### 引入特性

* 导出内容块引用可配置是否使用 Blockquote

### 改进功能

* 优化设置界面样式
* 支持文档（根块）书签
* 撤销后光标位置改进
* 拖拽页签到上下左右的小面板中应展开该面板
* 打开笔记本功能移到顶级导航
* 优化 (( 搜索条件为空时的性能

### 修复缺陷

* 汉语拼音中文自动空格问题
* 书签分屏报错
* 任务列表编辑问题
* =标记=中文自动空格问题

## v0.1.6 / 2020-09-08

### 引入特性

* 内容块书签
* 外观图标切换

### 修复缺陷

* 全局搜索打开定位问题
* ==Mark==首次加载渲染问题
* ECharts 图表编辑撤销问题

## v0.1.5 / 2020-09-08

### 引入特性

* 当前文档和文件树选中联动
* 实时导出 Markdown 文件
* 导出可配置是否启用全文引用

### 改进功能

* 内容块图标悬浮选中视觉优化
* 转义符 \ 渲染
* 内容块嵌入渲染自动刷新
* 内容块引用锚文本转义

### 修复缺陷

* 内联公式光标位置错误
* 图片不渲染的问题

## v0.1.4 / 2020-09-07

### 引入特性

* 全局关系图按引用数过滤
* 增加预览和关闭页签的快捷键

### 修复缺陷

* 报错后窗口关不掉问题
* 页签关闭产出空白问题
* 数学公式中出现中文不能渲染问题
* 列表块编辑后引用问题
* 图片渲染以及粘贴时从网络拉取图片问题

## v0.1.3 / 2020-09-06

### 引入特性

* 支持通过配置单击打开文档

### 改进功能

* 优化 (( 块引使用体验
* 内容块悬浮预览稍微延时
* 块搜索不进行限制
* 复制块 ID，粘贴时应进行自动完成
* 优化关系图节点大小
* 中文【【（（ 触发块引
* 代码块闪烁问题
* 设置面板从搜索面板中独立
* 触发搜索由 Double Shift 换成导航图标 Ctrl+p

## v0.1.2 / 2020-09-04

### 引入特性

* 标签页面右键添加关闭全部和关闭其他
* 页签拖拽可以插进到两个页签之间
* 支持“标题块”引用

### 改进功能

* 通过 [[ 触发内容块引用
* 块标识菜单对齐，添加表格块标识
* 标题变大变小快捷键及光标位置
* 标签页大小稍微调大几个像素

### 修复缺陷

* 导出列表块引用时异常问题
* 块链搜索不到的问题
* 复制块 ID 失效问题

## v0.1.1 / 2020-09-03

### 引入特性

* 支持连接 WebDAV

### 改进功能

* 优化块嵌入
* 数学公式块、代码块细节处理

### 修复缺陷

* 删除文件后文件树依然显示问题
* 白屏或者保存失败等界面无响应问题
* 悬浮预览图片问题
* 文档中的图片首次加载渲染问题

## v0.1.0 / 2020-08-30

你好，思源。
